Subject: Re: [EGIT] [PATCH RFC v1 0/5] Add (static) ignore functionality to EGit

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 29 Mar 2009 21:27:32 -0700

"Ferry Huberts (Pelagic)" <[email-masked]> wrote:
> Robin Rosenberg wrote:
> > A quick reply (I might come up with more later): Ignore support should be mostly
> > in jgit, with only extensions into egit.
> > 
> I discussed this with shawn and proposed to first implement it in egit
> and when we have it right then move it into jgit. I think shawn agreed
> with that.

I may have agreed with it.  My memory isn't *that* good.  :-)

In general principal I agree with Robin, Git specific handling
should be in JGit as much as possible so we can reuse the logic in
more applications than just EGit.

But it may have been easier to get a first working prototype by doing
the code in EGit, and later pulling some of it down into JGit as we
identity what isn't EGit specific.

The problem with that is the dual licenses; code in EGit can't
be pulled down to JGit without relicensing it under the BSD.
Only the original author of the code can do that.  So if you
contribute ignore support to EGit under the EPL which is better
placed in JGit, Robin or myself can't pull it down ourselves,
we'd have to rewrite it.

But even rewriting may be difficult, as the rewrite may be too close
to the original (same language, same surrounding code, likely going
to produce a similar result).

-- 
Shawn.